class ApplicationController < ActionController::Base
  include LoginVerification
  
  #before_action :check_installation
  protect_from_forgery with: :exception

  helper_method :shop_detail
  # lookup domain for db from  provision
  # before_action :set_locale
  # helper_method :current_company,:current_login_employee,:current_user
   # alias_method :current_user, :current_login_employee,:current_user
  #this is base api base controller to need to inherit.
  #all token authentication must be done here
  #response format must be set to JSON

  rescue_from CanCan::AccessDenied do |exception|
    flash[:warning] = exception.message
    redirect_to root_path
  end

  def shop_detail
    @shop = Shop.first
  end
end



